Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.api
Interface JbpmServicesTransactionManager

All Known Implementing Classes:
  JbpmJTATransactionManager, JbpmLocalTransactionManager

    public interface JbpmServicesTransactionManager

Method Summary
`void` | `attachPersistenceContext(javax.persistence.EntityManager em)`
`boolean` | `begin(javax.persistence.EntityManager em)`
`void` | `commit(javax.persistence.EntityManager em, boolean txOwner)`
`void` | `dispose()`
`int` | `getStatus(javax.persistence.EntityManager em)`
`void` | `registerTXSynchronization(org.drools.persistence.TransactionSynchronization txSync)`
`void` | `rollback(javax.persistence.EntityManager em, boolean txOwner)` It is the responsibility of this method to check that the status of the transaction is appropriate before rolling back the transaction.
`boolean` | `supportsTXSynchronization()`

Method Detail

### begin

    boolean begin(javax.persistence.EntityManager em)

### commit

    void commit(javax.persistence.EntityManager em,
                boolean txOwner)

### rollback

    void rollback(javax.persistence.EntityManager em,
                  boolean txOwner)

  It is the responsibility of this method to check that the status of the transaction is appropriate before rolling back the transaction.

  Parameters:
    `em` - The persistence context (aka, the entity manager)
    `txOwner` - Whether or not the calling clause is owner of this transaction.

### getStatus

    int getStatus(javax.persistence.EntityManager em)

### attachPersistenceContext

    void attachPersistenceContext(javax.persistence.EntityManager em)

### dispose

    void dispose()

### registerTXSynchronization

    void registerTXSynchronization(org.drools.persistence.TransactionSynchronization txSync)

### supportsTXSynchronization

    boolean supportsTXSynchronization()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.